Bug 1221616 (CVE-2015-3169) - CVE-2015-3169 askbot: cross-site scripting flaw
Summary: CVE-2015-3169 askbot: cross-site scripting flaw
Status: CLOSED UPSTREAM
Alias: CVE-2015-3169
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150514,repor...
Keywords: Security
Depends On: 1221619 1221618
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-14 12:50 UTC by Martin Prpič
Modified: 2019-06-08 20:35 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:41:15 UTC


Attachments (Terms of Use)
0001-Fix-CVE-2015-3169-XSS-by-using-sort-argument-in-GET-.patch (1.24 KB, text/plain)
2015-06-29 10:33 UTC, Martin Prpič
no flags Details

Description Martin Prpič 2015-05-14 12:50:55 UTC
A cross-site scripting flaw was found in AskBot, a question and answer forum written in Python and Django.

The flaw can be triggered by appending, for example:

?sort=%3C/SCript%3E%3CsvG/onLoad=prompt%289%29%3E 

to a question page on a vulnerable AskBot deployment.

This flaw is reported to be fixed in the latest release of AskBot, though it is unclear which one that is. askbot-0.7.51-4.el6.noarch is definitely vulnerable. The upstream changelog is not up-to-date:

http://askbot.org/doc/changelog.html

Comment 1 Martin Prpič 2015-05-14 12:51:36 UTC
Created askbot tracking bugs for this issue:

Affects: fedora-20 [bug 1221618]
Affects: epel-6 [bug 1221619]

Comment 2 Zoltán Vigh 2015-05-23 15:48:47 UTC
Could you give me more information about the bug? I tested what you wrote but I couldn't trigger it.

Comment 3 Martin Prpič 2015-06-29 09:58:42 UTC
Acknowledgements:

Red Hat would like to thank Harsha Vardhan Boppana (@hvboppana) for reporting this issue.

Comment 4 Martin Prpič 2015-06-29 10:33:12 UTC
Created attachment 1044309 [details]
0001-Fix-CVE-2015-3169-XSS-by-using-sort-argument-in-GET-.patch

Comment 5 Product Security DevOps Team 2019-06-08 02:41:15 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.